<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $namabulan_text = [
            "Januari",
            "Februari",
            "Maret",
            "April",
            "Mei",
            "Juni",
            "Juli",
            "Agustus",
            "September",
            "Oktober",
            "November",
            "Desember"
        ];

        if (!empty($ar_jenisobj)) {
            $objek = '<b class="font_sembilan">Jenis Pajak &nbsp;:  ' . $ar_jenisobj['s_namajenis'] . '</b><br>';
        }
        if (!empty($ar_korek)) {
            $korek = '<b class="font_sembilan">Nama Rekening &nbsp;:  ' . $ar_korek->s_namakorek . '</b><br>';
        }
        ?>
        <div>
            <table width="100%">
                <tr>
                    <td width="10%" style="border: 1px solid #fff;"><img src="<?= $ar_pemda->s_logo ?>" width="65"></td>
                    <td style="text-align:center; padding-right: 10%;border: 1px solid #fff;">
                        <span style="font-size:12pt;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></span><br>
                        <span style="font-size:15pt;font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?></span><br>
                        <span style="font-size:10pt;"><?= $ar_pemda->s_alamatinstansi; ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
                    </td>
                </tr>
            </table>
            <hr style="line-height: 1px; color: black">
            <h4 style="text-align: center">DAFTAR REKAPITULASI KETETAPAN DAN SETORAN</h4>
            <?= $objek ?>
            <?= $korek ?>
            <b class="font_sembilan">Tgl. Cetak &nbsp;: <?= date('d-m-Y', strtotime($tglcetak)) ?></b>
            <table width="100%" class="font_sembilan" style="text-align: center">
                <tr style="background:#efefef;">
                    <td class="border_atas border_bawah border_kanan border_kiri" rowspan="2">
                        <B>No.</B>
                    </td>
                    <td rowspan="2">
                        <B>WP</B>
                    </td>
                    <td rowspan="2">
                        <B>OP</B>
                    </td>
                    <td colspan="12">
                        <B>Periode Pajak <?= date('Y', strtotime($tglcetak)) ?></B>
                    </td>
                    <td rowspan="2">
                        <B>Total (Rp.)</B>
                    </td>
                    <td rowspan="2">
                        <B>Piutang (Rp.)</B>
                    </td>
                </tr>
                <tr style="background:#efefef;">
                    <td class="border_bawah border_kanan border_kiri">
                        <B>Januari</B>
                    </td>
                    <td>
                        <B>Februari</B>
                    </td>
                    <td>
                        <B>Maret</B>
                    </td>
                    <td>
                        <B>April</B>
                    </td>
                    <td>
                        <B>Mei</B>
                    </td>
                    <td>
                        <B>Juni</B>
                    </td>
                    <td>
                        <B>Juli</B>
                    </td>
                    <td>
                        <B>Agustus</B>
                    </td>
                    <td>
                        <B>September</B>
                    </td>
                    <td>
                        <B>Oktober</B>
                    </td>
                    <td>
                        <B>Nopember</B>
                    </td>
                    <td>
                        <B>Desember</B>
                    </td>
                </tr>
                <?php
                $counter = 1;
                foreach ($this->data as $k => $v) {
                    ?>
                    <tr>
                        <td rowspan="2">
                            <?= $counter ?>
                        </td>
                        <td style="text-align: left" rowspan="2">
                            <?= $v['t_nama'] ?> <br>
                            <?= $v['t_npwpd'] ?>
                        </td>
                        <td style="text-align: left" rowspan="2">
                            <?= $v['t_namaobjek'] ?><br>
                            <?= $v['t_nop'] ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_jan'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_feb'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_mar'], 0, ',', '.') ?>
                        </td>
                        <td>
                            <?= number_format($v['data_apr'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_mei'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_jun'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_jul'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_agu'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_sep'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_okt'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_nov'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['data_des'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?php $total_data = $v['data_jan'] + $v['data_feb'] + $v['data_mar'] + $v['data_apr'] + $v['data_mei'] + $v['data_jun'] + $v['data_jul'] + $v['data_agu'] + $v['data_sep'] + $v['data_okt'] + $v['data_nov'] + $v['data_des'] ?>
                            <?php $total_bayar = $v['bayar_jan'] + $v['bayar_feb'] + $v['bayar_mar'] + $v['bayar_apr'] + $v['bayar_mei'] + $v['bayar_jun'] + $v['bayar_jul'] + $v['bayar_agu'] + $v['bayar_sep'] + $v['bayar_okt'] + $v['bayar_nov'] + $v['bayar_des'] ?>
                            <?= number_format($total_data, 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right" rowspan="2">
                            <?= number_format($total_data - $total_bayar, 0, ',', '.') ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_jan'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_feb'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_mar'], 0, ',', '.') ?>
                        </td>
                        <td>
                            <?= number_format($v['bayar_apr'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_mei'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_jun'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_jul'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_agu'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_sep'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_okt'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_nov'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['bayar_des'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($total_bayar, 0, ',', '.') ?>
                        </td>
                    </tr>
                    <?php
                    $counter++;
                }
                ?>
            </table>
        </div>
    <htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family: serif;" width="100%">
            <tbody>
                <tr>
                        <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                    <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                    <td style="font-style: italic;text-align: right;font-size: 12px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                </tr>
            </tbody>
        </table>
    </htmlpagefooter>
</body>
</html>

<style type="text/css" media="print">
    @page {
        margin-top: 40px;
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }
    table, th, td {
        border: 1px solid black;
        border-collapse: collapse;
    }
    .font_empatbelas {
        font-size: 14pt;
    }    
    body{
        font-family: arial;
    }
</style>